SettingsDescriptor (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.rpc.data

## Class SettingsDescriptor

- java.lang.Object
- - org.gcube.application.aquamaps.aquamapsportlet.client.rpc.data.SettingsDescriptor

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable

      public class SettingsDescriptor
      extends Object
      implements com.google.gwt.user.client.rpc.IsSerializable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SettingsDescriptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBiodiversityObjectsCount()`
    `int` | `getHspecId()`
    `String` | `getHspecTitle()`
    `int` | `getNumberOfCustomizedSpecies()`
    `int` | `getSelectedAreas()`
    `int` | `getSpeciesDistributionObjectCount()`
    `int` | `getSpeciesInBasket()`
    `Msg` | `getSubmittable()`
    `String` | `getToSubmitName()`
    `boolean` | `isCreateGroup()`
    `void` | `setBiodiversityObjectsCount(int biodiversityObjectsCount)`
    `void` | `setCreateGroup(boolean createGroup)`
    `void` | `setHspecId(int hspecId)`
    `void` | `setHspecTitle(String hspecTitle)`
    `void` | `setNumberOfCustomizedSpecies(int numberOfCustomizedSpecies)`
    `void` | `setSelectedAreas(int selectedAreas)`
    `void` | `setSpeciesDistributionObjectCount(int speciesDistributionObjectCount)`
    `void` | `setSpeciesInBasket(int speciesInBasket)`
    `void` | `setSubmittable(Msg submittable)`
    `void` | `setToSubmitName(String toSubmitName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SettingsDescriptor

          public SettingsDescriptor()

  - ### Method Detail

    - #### getSpeciesInBasket

          public int getSpeciesInBasket()

    - #### setSpeciesInBasket

          public void setSpeciesInBasket(int speciesInBasket)

    - #### getBiodiversityObjectsCount

          public int getBiodiversityObjectsCount()

    - #### setBiodiversityObjectsCount

          public void setBiodiversityObjectsCount(int biodiversityObjectsCount)

    - #### getSpeciesDistributionObjectCount

          public int getSpeciesDistributionObjectCount()

    - #### setSpeciesDistributionObjectCount

          public void setSpeciesDistributionObjectCount(int speciesDistributionObjectCount)

    - #### getHspecId

          public int getHspecId()

    - #### setHspecId

          public void setHspecId(int hspecId)

    - #### getHspecTitle

          public String getHspecTitle()

    - #### setHspecTitle

          public void setHspecTitle(String hspecTitle)

    - #### getToSubmitName

          public String getToSubmitName()

    - #### setToSubmitName

          public void setToSubmitName(String toSubmitName)

    - #### getNumberOfCustomizedSpecies

          public int getNumberOfCustomizedSpecies()

    - #### setNumberOfCustomizedSpecies

          public void setNumberOfCustomizedSpecies(int numberOfCustomizedSpecies)

    - #### getSelectedAreas

          public int getSelectedAreas()

    - #### setSelectedAreas

          public void setSelectedAreas(int selectedAreas)

    - #### isCreateGroup

          public boolean isCreateGroup()

    - #### setCreateGroup

          public void setCreateGroup(boolean createGroup)

    - #### getSubmittable

          public Msg getSubmittable()

    - #### setSubmittable

          public void setSubmittable(Msg submittable)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.